petsc-3.4.2 2013-07-02

# DMCreateGlobalVector

Creates a global vector from a DMDA or DMComposite object

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMCreateGlobalVector(DM dm,Vec *vec)

Collective on DM

### Input Parameter

dm -the DM object

### Output Parameter

vec -the global vector

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex65dm.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex39.c.html